hsyslog-5.0.2: FFI interface to syslog(3) from POSIX.1-2001

Maintainer | simons@cryp.to
Stability | provisional
Portability | POSIX
Safe Haskell | None
Language | Haskell2010

System.Posix.Syslog.LogMask

Description

FFI bindings to `syslog(3)` from POSIX.1-2008. This module is intended for purposes of low-level implementation. Users of this library should prefer safer and more convenient API provided by System.Posix.Syslog.

Synopsis

- toLogMask :: [Priority] -> CInt
- fromLogMask :: CInt -> [Priority]

# Documentation

toLogMask :: [Priority] -> CInt Source #

Convert a set of logging priorities into a system-dependent binary representation suitable for calling `_setlogmask`.

fromLogMask :: CInt -> [Priority] Source #

Decode the the system-dependent binary representation returned by `_setlogmask` back into a set of logging priorities.